Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.request
Class DomainSimpleRequest

    java.lang.Object
      de.knipp.rritoolkit.request.Request
          de.knipp.rritoolkit.request.DomainSimpleRequest

Direct Known Subclasses:
  AuthInfo1CreateRequest, AuthInfo1DeleteRequest, AuthInfo2CreateRequest, DomainCheckRequest, DomainInfoRequest, DomainTransitRequest

    public abstract class DomainSimpleRequest

extends Request

request to retrieve information about a given domain

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`private java.lang.String` | `domainName` the domain name
`private java.lang.String` | `encodedDomainName` the encoded domain name

Constructor Summary
`DomainSimpleRequest()` constructor
`DomainSimpleRequest(java.lang.String theDomainName)` constructor
`DomainSimpleRequest(java.lang.String theDomainName, java.lang.String theEncodedDomainName)` constructor

Method Summary
`protected void` | `addAttributes(XmlBuilder xb)` allow the addition of attributes to the request.
`java.lang.String` | `getDomainName()` return the domain name
`java.lang.String` | `getEncodedDomainName()` return the encoded domain name
`protected abstract java.lang.String` | `getRequestElementName()` return the XML element name
`protected void` | `requestToKVList(KVList list)` method that needs to be implemented by subclasses for the key-value list conversion
`protected void` | `requestToXml(org.w3c.dom.Node node)` method that needs to be implemented by subclasses for the XML conversion
`void` | `setDomainName(java.lang.String theDomainName)` set the domain name.
`void` | `setDomainName(java.lang.String theDomainName, java.lang.String theEncodedDomainName)` set the domain name
`java.lang.String` | `toString()` return a string representation for debugging purposes

Methods inherited from class de.knipp.rritoolkit.request.Request
`execute, getActionCode, getClientTxnID, getProtocolVersion, setClientTxnID, toList, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### domainName

    private java.lang.String domainName

  the domain name

### encodedDomainName

    private java.lang.String encodedDomainName

  the encoded domain name

Constructor Detail

### DomainSimpleRequest

    public DomainSimpleRequest()

  constructor

### DomainSimpleRequest

    public DomainSimpleRequest(java.lang.String theDomainName,
                               java.lang.String theEncodedDomainName)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains

### DomainSimpleRequest

    public DomainSimpleRequest(java.lang.String theDomainName)

  constructor

  Parameters:
    `theDomainName` - the domain name

Method Detail

### getRequestElementName

    protected abstract java.lang.String getRequestElementName()

  return the XML element name

  Returns:
    the element name

### addAttributes

    protected void addAttributes(XmlBuilder xb)
                          throws org.w3c.dom.DOMException,
                                 EncodeException

  allow the addition of attributes to the request. The default implementation is empty and should not be called by implementing subclasses

  Parameters:
    `xb` - the XML builder
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `EncodeException` - if the encoding fails for some reason

### requestToXml

    protected void requestToXml(org.w3c.dom.Node node)
                         throws org.w3c.dom.DOMException,
                                EncodeException

  method that needs to be implemented by subclasses for the XML conversion

  Specified by:
    `requestToXml` in class `Request`
  Parameters:
    `node` - the node where the request shall be added to
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `EncodeException` - if the encoding fails for some reason

### requestToKVList

    protected void requestToKVList(KVList list)
                            throws EncodeException

  method that needs to be implemented by subclasses for the key-value list conversion

  Specified by:
    `requestToKVList` in class `Request`
  Parameters:
    `list` - the list that has to be filled
  Throws:
    `EncodeException` - if the encoding fails for some reason

### toString

    public java.lang.String toString()

  return a string representation for debugging purposes

  Overrides:
    `toString` in class `Request`
  Returns:
    the representation

### getDomainName

    public java.lang.String getDomainName()

  return the domain name

  Returns:
    the domain name

### getEncodedDomainName

    public java.lang.String getEncodedDomainName()

  return the encoded domain name

  Returns:
    the encoded domain name

### setDomainName

    public void setDomainName(java.lang.String theDomainName)

  set the domain name. The encoded domain name is cleared. This version should be use for non-IDNs only

  Parameters:
    `theDomainName` - the domain name

### setDomainName

    public void setDomainName(java.lang.String theDomainName,
                              java.lang.String theEncodedDomainName)

  set the domain name

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH